TraceListener
Keywords: com.icl.saxon.trace.TraceListener interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.trace
Interface TraceListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  SaxonEventMulticaster, SimpleTraceListener

public interface TraceListener
extends java.util.EventListener

To get trace events, an application can add instances of this interface to a StyleSheetInstance

Method Summary
`void` | `close()` Called at end
`void` | `enter(NodeInfo element, Context context)` Called when a node in the stylesheet gets processed
`void` | `enterSource(NodeHandler handler, Context context)` Called when a node of the source tree gets processed
`void` | `leave(NodeInfo element, Context context)` Called after an element of the stylesheet got processed
`void` | `leaveSource(NodeHandler handler, Context context)` Called after a node of the source tree got processed
`void` | `open()` Called at start
`void` | `toplevel(NodeInfo element)` Called for all top level elements

Method Detail

### open

    public void open()

  Called at start

### close

    public void close()

  Called at end

### toplevel

    public void toplevel(NodeInfo element)

  Called for all top level elements

### enterSource

    public void enterSource(NodeHandler handler,
                            Context context)

  Called when a node of the source tree gets processed

### leaveSource

    public void leaveSource(NodeHandler handler,
                            Context context)

  Called after a node of the source tree got processed

### enter

    public void enter(NodeInfo element,
                      Context context)

  Called when a node in the stylesheet gets processed

### leave

    public void leave(NodeInfo element,
                      Context context)

  Called after an element of the stylesheet got processed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD